CMSIS-Core (Cortex-M): FPU_Type Struct Reference

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
FPU_Type Struct Reference

Structure type to access the Floating Point Unit (FPU). More...

## Data Fields

uint32_t | RESERVED0 [1]
| Reserved. More...
__IOM uint32_t | FPCCR
| Offset: 0x004 (R/W) Floating-Point Context Control Register. More...
__IOM uint32_t | FPCAR
| Offset: 0x008 (R/W) Floating-Point Context Address Register. More...
__IOM uint32_t | FPDSCR
| Offset: 0x00C (R/W) Floating-Point Default Status Control Register. More...
__IM uint32_t | MVFR0
| Offset: 0x010 (R/ ) Media and FP Feature Register 0. More...
__IM uint32_t | MVFR1
| Offset: 0x014 (R/ ) Media and FP Feature Register 1. More...

## Description

Structure type to access the Floating Point Unit (FPU).

## Field Documentation

__IOM uint32_t FPU_Type::FPCAR

Offset: 0x008 (R/W) Floating-Point Context Address Register.

__IOM uint32_t FPU_Type::FPCCR

Offset: 0x004 (R/W) Floating-Point Context Control Register.

__IOM uint32_t FPU_Type::FPDSCR

Offset: 0x00C (R/W) Floating-Point Default Status Control Register.

__IM uint32_t FPU_Type::MVFR0

Offset: 0x010 (R/ ) Media and FP Feature Register 0.

__IM uint32_t FPU_Type::MVFR1

Offset: 0x014 (R/ ) Media and FP Feature Register 1.

uint32_t FPU_Type::RESERVED0[1]

Reserved.